RTCWAKE(8)

NOM
rtcwake - Mettre le système en veille jusqu'à une date de réveil indiquée

SYNOPSIS

rtcwake [options] [-d périphérique] [-m mode] {-s secondes|-t heure_h}

DESCRIPTION

Ce programme permet de mettre le système en veille et de le réveiller automatiquement à une date indiquée.

Il utilise des interfaces Linux multiplateformes pour mettre le système en veille et ne pas l'y laisser au-delà d'une date indiquée. N'importe quel environnement de pilote d'horloge matérielle (RTC) prenant en charge les attributs de réveil normalisés peut être utilisé.

Il est normalement utilisé comme l'ancien utilitaire apmsleep, pour réveiller à partir d'un état de veille comme les états S1 (pause/standby) ou S3 (veille/suspend to RAM) d’ACPI. La plupart des plateformes peuvent les implémenter en l’absence d’équivalent des BIOS, APM ou ACPI.

Sur certains systèmes, il peut aussi être utilisé comme nvram-wakeup, en réveillant à partir d'états comme S4 (hibernation/suspend to disk) d’ACPI. Tous les systèmes ne possèdent pas de support physique ininterruptible permettant ces modes de veille.

Remarquez que la fonction d’alarme dépend du matériel. Toutes les horloges temps réel (RTC) peuvent ne pas déclencher une alarme au-delà d’une durée de 24 heures.

La configuration de veille peut être interrompue par du matériel encore actif. Par exemple, des périphériques d’entrée USB et sans-fil continuent d’envoyer des évènements quelques fractions de seconde après que la touche entrée soit pressée. rtcwake essaie d’éviter ce problème et il attend que le terminal soit désœuvré avant d’entamer la mise en veille du système.

OPTIONS

-A, --adjfile fichier
    Indiquer un autre chemin vers le fichier d’ajustement.

-a, --auto
    Lire le mode d'horloge (si l'horloge matérielle est configurée en heure universelle (UTC) ou en heure locale) depuis le fichier adjtime, où hwclock(8) conserve ces renseignements. C'est le mode par défaut.

--date instant
    Régler l’heure de réveil à la valeur d’instant. Le format peut être n’importe lequel des formats suivants :
AAAAMMJJhhmmss |
AAAA-MM-JJ hh:mm:ss |
AAAA-MM-JJ hh:mm | (les secondes sont définies à 00)
AAAA-MM-JJ | (l’heure est définie à 00:00:00)
hh:mm:ss | (la date est définie à aujourd’hui)
hh:mm | (la date est définie à aujourd’hui, les secondes à 00)
tomorrow [demain] | (l’heure est définie à 00:00:00)
+5min |

-d, --device périphérique
    Utiliser le périphérique indiqué au lieu de rtc0 comme horloge temps réel. Cette option n'a de sens que si le système dispose de plus d'une horloge matérielle. rtc1, rtc2, etc., peuvent être indiquées ici.

-l, --local
    Considérer que l'horloge matérielle est définie en heure locale quelque soit le contenu du fichier adjtime.

--list-modes
    Liste des arguments disponibles de l’option --mode.

-m, --mode mode
    Entrer dans le mode de veille indiqué. Les valeurs possibles sont :

    standby
        État S1 de l'ACPI. Cet état propose l'économie minimale d'énergie, bien que réelle, tout en fournissant une transition rapide au retour à l'état de travail. C'est le mode par défaut.

    freeze
        Les processus sont gelés, tous les périphériques sont en veille et tous les processeurs en attente. Cet état est un état général qui n’a pas besoin de prise en charge spécifique à la plateforme, mais il n’économise pas autant de puissance qu’une mise en veille car le système est toujours dans un état de fonctionnement (disponible depuis Linux 3.9).

    mem
        État S3 de l'ACPI (veille/suspend to RAM). Cet état propose une économie d'énergie significative puisque tout le système est placé en état d'alimentation minimale, à l'exception de la mémoire qui est placée en mode d'autorafraîchissement pour conserver son contenu.

    disk
        État S4 de l'ACPI (hibernation/suspend to disk). Cet état propose la plus grande économie d'énergie et peut même être utilisé en l’absence de prise en charge de bas niveau par la plateforme de la gestion d'alimentation. Cet état fonctionne comme la veille, avec une dernière étape pour écrire le contenu de la mémoire sur disque.

    off
        État S5 de l'ACPI (extinction). C'est réalisé en appelant « /sbin/shutdown ». N'est pas officiellement pris en charge par l'ACPI, mais fonctionne habituellement.

    no
        Ne pas mettre en veille, seulement configurer l’heure de réveil de l’horloge matérielle.

    on
        Ne pas mettre en veille, mais lire le périphérique d'horloge matérielle jusqu'à l'apparition de l'heure d'alarme. Ce mode est pratique pour le débogage.

    disable
        Désactiver une alarme précédemment définie.

    show
        Afficher des renseignements sur l'alarme au format « alarme : arrêt|déclenchement <heure> ». L'heure est au format de sortie ctime(), par exemple « alarme : déclenchement dimanche 23 octobre 2011, 16:59:10 ».

-n, --dry-run
    Tout faire, sauf configurer vraiment l'alarme, mettre le système en veille ou attendre l'alarme.

-s, --seconds secondes
    Définir l'heure de réveil à secondes dans le futur à partir de maintenant.

-t, --time heure_h
    Définir l'heure de réveil à l'heure absolue heure_h. heure_h est l'heure en seconde à partir de 00:00:00 1970-01-01 UTC. Utiliser l'outil date(1) pour convertir l'heure entre le format lisible et heure_h.

-u, --utc
    Considérer que l'horloge matérielle est définie en temps universel coordonné (UTC) quelque soit le contenu du fichier adjtime.

-v, --verbose
    Sortie détaillée.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

NOTES

Certains systèmes de PC ne peuvent actuellement pas sortir d'états de veille comme mem en n'utilisant que le code du noyau auquel accède ce pilote. Ils ont besoin de l'aide de code en espace utilisateur pour que la mémoire vidéo fonctionne encore.

FICHIERS

/etc/adjtime

HISTORIQUE

Le programme a été posté plusieurs fois sur LKML et d'autres listes avant d'apparaître dans le message de commit du noyau pour Linux 2.6 dans le commit 87ac84f42a7a580d0dd72ae31d6a5eb4bfe04c6d de Git.

AUTEURS

Le programme a été écrit par et amélioré par

COPYRIGHT

C'est un logiciel libre. Vous pouvez en redistribuer des copies sous les conditions de la Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI

adjtime_config(5), hwclock(8), date(1)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande rtcwake fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.